curl --request GET \
--url https://api.extole.io/v4/reports/latest \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v4/reports/latest"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v4/reports/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v4/reports/latest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v4/reports/latest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v4/reports/latest")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v4/reports/latest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"completed_date": "<string>",
"display_name": "<string>",
"download_uri": "<string>",
"formats": [
"CSV"
],
"name": "<string>",
"report_id": "<string>",
"report_type": "<string>",
"tags": [
"<string>"
]
}Get the latest report
Returns the most recent completed report run matching the specified report name and optional parameter filters.
curl --request GET \
--url https://api.extole.io/v4/reports/latest \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v4/reports/latest"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v4/reports/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v4/reports/latest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v4/reports/latest"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.extole.io/v4/reports/latest")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v4/reports/latest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"completed_date": "<string>",
"display_name": "<string>",
"download_uri": "<string>",
"formats": [
"CSV"
],
"name": "<string>",
"report_id": "<string>",
"report_type": "<string>",
"tags": [
"<string>"
]
}Authorizations
Query Parameters
Optional filter for report tags, asks for reports that contain at least one of the specified tags.
Optional filter for required report tags, asks for reports that contain all of the specified tags.
Optional filter for report exclude tags, asks for reports that do not contain any of the specified tags.
Optional filter for report exclude tags, asks for reports that do not contain all of the specified tags.
Optional order by property, will return latest report based on order by property. Valid values: NAME, USER, DATE_RUN, DATE_COMPLETED, STATUS. Omit it to order by scheduled date.
DATE_COMPLETED, DATE_RUN, NAME, STATUS, USER Optional order direction, will return latest report sorted in specified direction. Valid values: ASCENDING (or ASC), DESCENDING (or DESC)
ASC, ASCENDING, DESC, DESCENDING Response
Successful response
Was this page helpful?
